import type { JSX } from '../../stencil-public-runtime';
import type { AutoCompletePropType, DisabledPropType, FocusableElement, HideLabelPropType, HideMsgPropType, HintPropType, IconsHorizontalPropType, InputColorAPI, InputColorStates, InputTypeOnDefault, InternalButtonProps, KolFocusOptions, LabelWithExpertSlotPropType, MsgPropType, NamePropType, ShortKeyPropType, Stringified, SuggestionsPropType, SyncValueBySelectorPropType, TooltipAlignPropType, VariantClassNamePropType } from '../../schema';
export declare class KolInputColor implements InputColorAPI, FocusableElement {
    protected readonly host?: HTMLKolInputColorElement;
    protected readonly ctaRef: import("../../utils/element-interaction").CtaRef<HTMLInputElement>;
    private refInputColor?;
    private readonly setColorRef;
    private readonly onBlur;
    private readonly onFocus;
    private readonly onColorInput;
    private readonly onTextInput;
    getValue(): Promise<string | undefined>;
    focus(options?: KolFocusOptions): Promise<void>;
    click(): Promise<void>;
    private get hasSuggestions();
    private getFormFieldProps;
    private getInputColorProps;
    private getInputTextProps;
    private getGenericInputProps;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _autoComplete?: AutoCompletePropType;
    _disabled?: boolean;
    _hideMsg?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _icons?: IconsHorizontalPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _shortKey?: ShortKeyPropType;
    _smartButton?: Stringified<InternalButtonProps>;
    _suggestions?: SuggestionsPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: string;
    _variant?: VariantClassNamePropType;
    state: InputColorStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateAutoComplete(value?: AutoCompletePropType): void;
    validateDisabled(value?: DisabledPropType): void;
    validateHideMsg(value?: HideMsgPropType): void;
    validateHideLabel(value?: HideLabelPropType): void;
    validateHint(value?: HintPropType): void;
    validateIcons(value?: IconsHorizontalPropType): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSmartButton(value?: InternalButtonProps | string): void;
    validateSuggestions(value?: SuggestionsPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: string): void;
    validateVariant(value?: VariantClassNamePropType): void;
    componentDidLoad(): void;
    componentWillLoad(): void;
}
